#container {
  padding: 24px;
  background-color: #f9f9f9;
  display: block;
  color: #6E6C96;
}

a {
  color: #FF7D7D;
}

#firstPart {
  display: flex;

  > div {
    width: 0;
    flex: 1;
  }

  .gauche {
    display: flex;
    position: relative;
    flex-direction: column;
    align-items: center;
    padding-top: 50px;

    img {
      cursor: grab;
      height: 90px;

      &:active {
        cursor: grabbing;
      }
    }

    .hand-anim {
      pointer-events: none;
      display: none;
      position: absolute;
      width: 50px;
      height: 50px;
      background-image: url("../../assets/cursor/hand-halo-open.png");
      background-repeat: no-repeat;
      background-size: 50px;
      animation-name: hand-animation;
      animation-duration: 7s;
      animation-iteration-count: infinite;
      z-index: 1;

      &.active {
        display: block;
      }
    }
  }

  .droite {
    nz-card {
      position: relative;
    }

    .hand-anim2 {
      pointer-events: none;
      display: none;
      position: absolute;
      right: 20px;
      width: 50px;
      height: 50px;
      background-image: url("../../assets/cursor/hand-halo-point.png");
      background-repeat: no-repeat;
      background-size: 50px;
      animation-name: hand-animation2;
      animation-duration: 4s;
      animation-iteration-count: infinite;
      z-index: 1;

      &.active {
        display: block;
      }
    }
  }
}

#data-explain {
}

@keyframes hand-animation {
  from {opacity: 0; right: 50%; transform: translateY(-10px); background-image: url("../../assets/cursor/hand-halo-open.png")}
  15% {opacity: 1; right: 50%; transform: translateY(0); background-image: url("../../assets/cursor/hand-halo-open.png")}
  20% {opacity: 1; right: 50%; transform: translateY(0); background-image: url("../../assets/cursor/hand-halo-close.png")}
  80% {opacity: 1; right: -50%; transform: translateY(50px); background-image: url("../../assets/cursor/hand-halo-close.png")}
  85% {opacity: 1; right: -50%; transform: translateY(50px); background-image: url("../../assets/cursor/hand-halo-open.png")}
  to {opacity: 0; right: -50%; transform: translateY(40px); background-image: url("../../assets/cursor/hand-halo-open.png")}
}

@keyframes hand-animation2 {
  from {opacity: 0; transform: translateY(-10px); background-image: url("../../assets/cursor/hand-halo-point.png")}
  15% {opacity: 1; transform: translateY(15px); background-image: url("../../assets/cursor/hand-halo-point.png")}
  20% {opacity: 1; transform: translateY(15px); background-image: url("../../assets/cursor/hand-halo-click.png")}
  40% {opacity: 1; transform: translateY(15px); background-image: url("../../assets/cursor/hand-halo-point.png")}
  80% {opacity: 1; transform: translateY(15px); background-image: url("../../assets/cursor/hand-halo-point.png")}
  to {opacity: 0; transform: translateY(30px); background-image: url("../../assets/cursor/hand-halo-point.png")}
}

#loading {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;

  i {
    font-size: 3rem;
    color: #6E6C96;;
  }
}

#result {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  height: 100%;

  img {
    height: 90px;
  }
}

nz-upload {
  i {
    color: #6E6C96!important;
  }

  ::ng-deep {

    .ant-upload.ant-upload-drag {
      border-style: solid;
    }

    .ant-upload.ant-upload-drag:not(.ant-upload-disabled):hover {
      border-color: #6E6C96;
    }
  }
}

nz-form-control {
  ::ng-deep .ant-form-item-control-input-content {
    display: flex;
    align-items: center;
  }

  span {
    font-size: 0.55rem;
    line-height: 1.3;
  }

  input {
    width: 100px;
    margin-right: 8px;
  }
}

.right:not([disabled]) {
  background: #6E6C96;
  border-color: #6E6C96;

  &:hover {
    background: #FF7D7D;
    border-color: #FF7D7D;
  }
}
